let teacherRouter = [{
  path: '/appLogin',
  name: 'appLogin',
  component: () => import(/* webpackChunkName:'AppLogin'*/'@/views/app/AppLogin.vue'),
  meta: {
      descrition: '登录',
      weight: 3 // 页面权重
  }
}, {
  path: '/appRegister',
  name: 'appRegister',
  component: () => import(/* webpackChunkName:'AppRegister'*/'@/views/app/AppRegister.vue'),
  meta: {
      descrition: '注册',
      weight: 3 // 页面权重
  }
}, {
  path: '/appSetInfo',
  name: 'appSetInfo',
  component: () => import(/* webpackChunkName:'AppSetInfo'*/'@/views/app/AppSetInfo.vue'),
  meta: {
      descrition: '填写信息',
      weight: 3 // 页面权重
  }
}, {
  path: '/classDetail',
  name: 'classDetail',
  component: () => import(/* webpackChunkName:'ClassDetail'*/'@/views/app/ClassDetail.vue'),
  meta: {
      descrition: '课堂详情',
      weight: 3 // 页面权重
  }
}, {
  path: "/courseApply",
  name: "courseApply",
  component: () =>
    import( /* webpackChunkName:'CourseApply'*/ "@/views/app/CourseApply.vue"),
  meta: {
    descrition: "课程创建",
    weight: 1 // 页面权重
  }
}, {
  path: "/account",
  name: "account",
  component: () =>
    import( /* webpackChunkName:'Account'*/ "@/views/app/Account.vue"),
  meta: {
    descrition: "我的账户",
    weight: 1 // 页面权重
  }
}, {
  path: "/periodRecord",
  name: "periodRecord",
  component: () =>
    import( /* webpackChunkName:'PeriodRecord'*/ "@/views/app/PeriodRecord.vue"),
  meta: {
    descrition: "课时使用记录",
    weight: 2 // 页面权重
  }
}, {
  path: "/exchangeRecord",
  name: "exchangeRecord",
  component: () =>
    import( /* webpackChunkName:'ExchangeRecord'*/ "@/views/app/ExchangeRecord.vue"),
  meta: {
    descrition: "兑换记录",
    weight: 2 // 页面权重
  }
}, {
  path: "/periodExchange",
  name: "periodExchange",
  component: () =>
    import( /* webpackChunkName:'PeriodExchange'*/ "@/views/app/PeriodExchange.vue"),
  meta: {
    descrition: "课时兑换",
    weight: 2 // 页面权重
  }
}, {
  path: "/helpCenter",
  name: "helpCenter",
  component: () =>
    import( /* webpackChunkName:'HelpCenter'*/ "@/views/app/HelpCenter.vue"),
  meta: {
    descrition: "帮助中心",
    weight: 2 // 页面权重
  }
}, {
  path: "/courseDetail",
  name: "courseDetail",
  component: () =>
    import( /* webpackChunkName:'CourseDetail'*/ "@/views/app/CourseDetail.vue"),
  meta: {
    descrition: "课程评价",
    weight: 2 // 页面权重
  }
}, {
  path: "/paymentResult",
  name: 'paymentResult',
  component: () =>
    import( /* webpackChunkName:'PaymentResult'*/ "@/views/app/PaymentResult.vue"),
  meta: {
    descrition: "支付结果",
    weight: 2 // 页面权重
  }
}, {
  path: "/userProtocol",
  name: 'userProtocol',
  component: () =>
    import( /* webpackChunkName:'UserProtocol'*/ "@/views/app/UserProtocol.vue"),
  meta: {
    descrition: "用户协议",
    weight: 2 // 页面权重
  }
}];
export default teacherRouter;